Commit 1b7bfd3e authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

GIT_SILENT: time to increase qt version as kf5-5.77 will depend against it.

parent 2ffa3e1f
Pipeline #44640 skipped
......@@ -27,7 +27,7 @@ ecm_setup_version(PROJECT VARIABLE_PREFIX KITINERARY
PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfigVersion.cmake"
)
set(QT_REQUIRED_VERSION "5.13.0")
set(QT_REQUIRED_VERSION "5.14.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui Qml)
......
......@@ -227,11 +227,7 @@ void KItinerary::Generator::AirportDbGenerator::indexNames()
for (auto it = m_airportMap.begin(); it != m_airportMap.end(); ++it) {
auto l = StringUtil::normalize(it.value().label + QLatin1Char(' ') + it.value().alias)
.split(QRegularExpression(QStringLiteral("[ 0-9/'\"\\(\\)&\\,.–„-]")),
#if QT_VERSION >= QT_VERSION_CHECK(5, 14, 0)
Qt::SkipEmptyParts
#else
QString::SkipEmptyParts
#endif
);
std::for_each(l.begin(), l.end(), [](QString &s) {
s = s.toCaseFolded();
......
......@@ -57,11 +57,7 @@ uint32_t OSM::distance(const std::vector<const OSM::Node*> &path, OSM::Coordinat
QLineF n = lineSegment.normalVector();
n.translate(coord.latF() - n.p1().x(), coord.lonF() - n.p1().y());
QPointF p;
#if QT_VERSION < QT_VERSION_CHECK(5, 14, 0)
const auto intersect = lineSegment.intersect(n, &p);
#else
const auto intersect = lineSegment.intersects(n, &p);
#endif
if (intersect == QLineF::BoundedIntersection) {
dist = std::min(dist, distance(p.x(), p.y(), coord.latF(), coord.lonF()));
} else {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment